import { sqliteTable, text, int } from 'drizzle-orm/sqlite-core';


export const tasks = sqliteTable('tasks', {
  id: int().notNull(),
  correct_answer: text(),
  media_url: text(),
  weight: int(),
});

export const questions = sqliteTable('questions', {
  task_id: int(),
  lang: text(),
  text: text(),
});

export const tasks_advanced = sqliteTable('tasks_advanced', {
  id: int().notNull(),
  correct_answer: text(),
  media_url: text(),
  weight: int(),
});

export const questions_advanced = sqliteTable('questions_advanced', {
  task_id: int(),
  lang: text(),
  text: text(),
  answer_a: text(),
  answer_b: text(),
  answer_c: text(),
});

export const categories_db = sqliteTable('categories', {
  name: text(),
  task_id: int(),
});